Installing Spacemacs

Prerequisites

You must have installed Emacs

Installation

  • Make sure to make a backup of your current emacs' configuration
  • Clone spacemacs project into your .emacs.d folder

    git clone https://github.com/syl20bnr/spacemacs ~/.emacs.d

    Spacemacs wizard will walk you through all the minimal options to configure it. I recommend you to use evil if you come from vim, or holy if you come from emacs.

[To be continued]